## lp-solve 3.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-CC= cc
+CC= gcc
 
 #should be OK in most situations:
-#CFLAGS= -O
+CFLAGS= -O
 
 # HP/UX 9.0X optimized code
-CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
+#CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 # HP/UX 9.0X debugging
 #CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 
@@ -24,22 +24,22 @@
 
 # Choose your favorite or available version of lex and yacc
 
-YACC= yacc
+#YACC= yacc
 #especially for linux:
-#YACC= bison -y
+YACC= bison -y
 
-LEX= lex
+#LEX= lex
 #especially for linux:
-#LEX= flex -l
+LEX= flex -l
 
 LEXLIB= -ll
 #especially for linux:
 #LEXLIB= -lfl
 
 #ANSI math lib
-MATHLIB= -lM
+#MATHLIB= -lM
 #non-ANSI math lib, should also work
-#MATHLIB= -lm
+MATHLIB= -lm
 
 LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
 LEXFILE.l= lex.l
@@ -115,7 +115,7 @@
 	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile
 
 distrib: $(TARGET).man MANIFEST
-	cd ..; tar -czvf lp_solve_3.0.tar.gz lp_solve_3.0
+	cd ..; tar -cvf - lp_solve_3.2 | gzip --best > lp_solve_3.2.tar.gz
 
 TAGS:
 	etags *.[chyl]
