## lp-solve 4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC= gcc
 
 #should be OK in most situations:
-CFLAGS= -O
+#CFLAGS= -O
 
 # HP/UX 9.0X optimized code
 #CFLAGS= +O3 +Oaggressive +Olibcalls -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
@@ -9,7 +9,7 @@
 #CFLAGS= -g -Aa -D_POSIX_SOURCE -DCHECK +FP VZOUiD
 
 # nice for gcc
-#CFLAGS= -O3 -Wall -pedantic -ansi
+CFLAGS= -O3 -Wall -pedantic -ansi
 #CFLAGS= -g -Wall -pedantic -ansi
 
 # Option -DCHECK checks for numerical problems during rounding of numbers.
@@ -32,9 +32,9 @@
 #especially for linux:
 LEX= flex -l
 
-LEXLIB= -ll
+#LEXLIB= -ll
 #especially for linux:
-#LEXLIB= -lfl
+LEXLIB= -lfl
 
 #ANSI math lib
 #MATHLIB= -lM
@@ -44,7 +44,8 @@
 LPKSRC.c= lpkit.c solve.c debug.c read.c readmps.c hash.c presolve.c
 LEXFILE.l= lex.l
 YACCFILE.y= lp.y
-TESTFILES= lp_examples/ex1.lp lp_examples/ex2.lp lp_examples/ex3.lp lp_examples/ex4.lp lp_examples/ex5.lp lp_examples/ex6.lp lp_examples/ex7.lp
+TESTFILES1= lp_examples/*.lp
+TESTFILES2= lp_examples/*.mps
 
 TARGET=lp_solve
 LPKLIB=liblpk.a
@@ -56,7 +57,7 @@
 COBJ=$(CSOURCES:.c=.o)
 LPKSRC= $(LPKSRC.c) $(YACCFILE.c)
 LPKOBJ= $(LPKSRC:.c=.o)
-HEADERS=lpkit.h lpglob.h patchlevel.h debug.h read.h hash.h
+HEADERS=lpkit.h lpglob.h patchlevel.h debug.h read.h hash.h declare.h ufortify.h fortify.h
 
 all:	demo $(TARGET) lp2mps mps2lp
 
@@ -95,15 +96,31 @@
 	mv y.tab.c $(YACCFILE.c)
 
 test:
-	-for i in $(TESTFILES); do\
-		./$(TARGET) -p -s -time < $$i > xxx.tmp;\
+	-for i in $(TESTFILES1); do\
+		./$(TARGET) -p -s -S3 -time < $$i > xxx.tmp;\
 		if diff xxx.tmp lp_examples/`basename $$i .lp`.out > /dev/null; then\
 			echo "$$i gives the correct result";\
 		else\
 			echo "*** $$i gives different result, please check ***";\
 		fi;\
 	done;\
-	rm xxx.tmp
+	for i in $(TESTFILES2); do\
+		./$(TARGET) -mps -p -s -S3 -time < $$i > xxx.tmp;\
+		if diff xxx.tmp lp_examples/`basename $$i .mps`.out > /dev/null; then\
+			echo "$$i gives the correct result";\
+		else\
+			echo "*** $$i gives different result, please check ***";\
+		fi;\
+	done;\
+        rm xxx.tmp
+
+mktest:
+	-for i in $(TESTFILES1); do\
+		./$(TARGET) -p -s -S3 -time < $$i > lp_examples/`basename $$i .lp`.out;\
+	done;\
+	for i in $(TESTFILES2); do\
+		./$(TARGET) -mps -p -s -S3 -time < $$i > lp_examples/`basename $$i .mps`.out;\
+	done;\
 
 $(TARGET).man: $(TARGET).1
 	nroff -man $(TARGET).1 > $(TARGET).man
@@ -115,7 +132,7 @@
 	rm -f *.a *.o TAGS $(LEXFILE.c) $(YACCFILE.c) demo $(TARGET) lp2mps mps2lp .pure .softdebughist datafile
 
 distrib: $(TARGET).man MANIFEST
-	cd ..; tar -cvf - lp_solve_3.2 | gzip --best > lp_solve_3.2.tar.gz
+	cd ..; tar -czvf lp_solve_4.0.tar.gz lp_solve_4.0
 
 TAGS:
 	etags *.[chyl]
