## lp-solve 5.5.0.13

=== debian/changelog ===
lp-solve (5.5.0.13-7build2) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 16:50:15 +0200

lp-solve (5.5.0.13-7build1) trusty; urgency=medium

  * Rebuild for suitesparse 4.2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Dec 2013 15:29:04 +0000

lp-solve (5.5.0.13-7) unstable; urgency=low

  * move to "3.0 (quilt)" format; move downloaded docs into extra docs
    tarball and move change from 5.5.0.10-6 from only in .diff.gz (oops!)
    to proper patch
  * include headers needed for plugin libraries (closes: #555830), thanks
    Matthias Kümmerer
  * add ${misc:Depends} 
  * remove debian/watch (closes: #529154) 

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Dec 2009 23:55:09 +0100

lp-solve (5.5.0.13-6) unstable; urgency=low

  * build against suitesparse 3.4.0 (libcolamd2.7.1)

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Jun 2009 22:59:02 +0200

lp-solve (5.5.0.13-5) unstable; urgency=low

  * make liblpsolve55-dev depend on libsuitesparse-dev (closes: #524295) 

 -- Rene Engelhard <rene@debian.org>  Wed, 06 May 2009 11:22:45 +0200

lp-solve (5.5.0.13-4) unstable; urgency=low

  * rebuild with suitesparse 1:3.2.0-2 to only get a dep on libcolamd-3.2.0
  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Feb 2009 22:53:00 +0100

lp-solve (5.5.0.13-3) experimental; urgency=low

  * build against suitesparse 3.2.0 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2009 23:27:10 +0100

lp-solve (5.5.0.13-2) experimental; urgency=low

  * add Homepage: (closes: #509917) 

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2008 14:21:47 +0100

lp-solve (5.5.0.13-1) experimental; urgency=low

  * New upstream release (closes: #507462)

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Dec 2008 19:57:10 +0100

lp-solve (5.5.0.10-10) unstable; urgency=low

  * build against libsuitesparse-3.1.0 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Feb 2008 07:05:14 +0100

lp-solve (5.5.0.10-9) unstable; urgency=low

  * build liblpsolve55.so with -fPIC instead of -fpic and
    revert last -fpic change

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Oct 2007 00:32:42 +0200

lp-solve (5.5.0.10-8) unstable; urgency=low

  * also specify -fpic when linking liblpsolve55.so
  * run ccc using -e

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Sep 2007 20:56:40 +0200

lp-solve (5.5.0.10-7) unstable; urgency=low

  * build wih -O2 on alpha to work around ICE

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Sep 2007 13:18:30 +0200

lp-solve (5.5.0.10-6) unstable; urgency=low

  * add patch from upstream to fix segmentation faults with xli_CPLEX
    (closes: #439232)

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Sep 2007 02:03:06 +0200

lp-solve (5.5.0.10-5) unstable; urgency=low

  * fix Recommends on liblpsolve55-dev to also point to suitesparse 

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 23:23:04 +0200

lp-solve (5.5.0.10-4) unstable; urgency=high

  * build against suitesparse
  * use debian/compat

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Jul 2007 10:09:13 +0200

lp-solve (5.5.0.10-3) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2007 16:05:35 +0100

lp-solve (5.5.0.10-2) experimental; urgency=low

  * /usr/lib/lp-solve -> /usr/lib/lp_solve

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Feb 2007 20:06:50 +0100

lp-solve (5.5.0.10-1) experimental; urgency=low

  * New upstream release
  * add documentation from lpsolve.sourceforge.net/5.5
    (closes: #377333); remove images, though (diff...) and
    link them to the online version to prevent needing uu* them
  * install liblpsolve55.so into /usr/lib/lp_solve, because it might
    be needed by additional stuff
  * link lp_solve against liblpsolve55.so

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Jan 2007 12:50:07 +0100

lp-solve (5.5-4) unstable; urgency=high

  * stop shipping "demo" (closes: #3921401) 

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Oct 2006 17:59:29 +0200

lp-solve (5.5-3) unstable; urgency=low

  * install demo
  * libufsparse[-dev] is now available on mips*, so build with system-colamd
    there, too
  * move libufsparse-dev Suggests to Recommends and fix typo in it 

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jul 2006 23:45:35 +0200

lp-solve (5.5-2) unstable; urgency=low

  * don't build with system-colamd on mips* since we don't have
    libufsparse[-dev] there...
  * move liblpsolve55-dev to libdevel instead of math 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2006 10:15:05 +0200

lp-solve (5.5-1) unstable; urgency=low

  * add Anibal Monsalve Salazar and myself to Uploaders:
  * New upstream release (closes: #262512, #372754)
  * clean up debian/
  * build _pic version of the library; OOo will link us into a shared lib
  * split liblpsolve55*.a and includes out into an own package
  * debian/README.Debian: update
  * fix debian/copyright (closes: #290213)
  * build with system libcolamd; build-dep on libufsparse-dev
  * drop conflicts against pcx, not needed anymore
  * debian/NEWS: add, mention changes
  * Suggest libufsparse-dev from liblpsove55-dev

 -- Rene Engelhard <rene@debian.org>  Mon, 19 Jun 2006 12:43:52 +0200

lp-solve (4.0-4) unstable; urgency=low

  * New maintainer.

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Sun, 10 Apr 2005 11:11:57 +1000

lp-solve (4.0-3) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Feb 2005 00:30:10 +1100

lp-solve (4.0-2) unstable; urgency=low

  * New maintainer.
  * New upstream location. (Closes: #234399)
    Updated debian/{copyright,control}

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 18 Aug 2004 13:00:42 +1000

lp-solve (4.0-1) unstable; urgency=low

  * New upstream release (closes:bug#175782)
  * debian/rules: install declare.h, resource.h, unfortify.h

