=== debian/control ===
Source: lp-solve
Section: math
Priority: optional
Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 4), libsuitesparse-dev (>= 1:3.4.0)
Standards-Version: 3.7.2
Homepage: http://lpsolve.sourceforge.net

Package: lp-solve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Solve (mixed integer) linear programming problems
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 Homepage http://www.geocities.com/lpsolve/

Package: lp-solve-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser
Description: Solve (mixed integer) linear programming problems - documentation
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 This package contains the documentation for the lp_solve program and
 the library.
 .
 Homepage http://www.geocities.com/lpsolve/

Package: liblpsolve55-dev
Section: libdevel
Architecture: any
Depends: libsuitesparse-dev, ${misc:Depends}
Description: Solve (mixed integer) linear programming problems - library
 The linear programming (LP) problem can be formulated as: Solve A.x >=
 V1, with V2.x maximal. A is a matrix, x is a vector of (nonnegative)
 variables, V1 is a vector called the right hand side, and V2 is a vector
 specifying the objective function.
 .
 An integer linear programming (ILP) problem is an LP with the
 constraint that all the variables are integers.  In a mixed integer
 linear programming (MILP) problem, some of the variables are integer
 and others are real.
 .
 The program lp_solve solves LP, ILP, and MILP problems. It is slightly
 more general than suggested above, in that every row of A (specifying
 one constraint) can have its own (in)equality, <=, >= or =. The result
 specifies values for all variables.
 .
 lp_solve uses the 'Simplex' algorithm and sparse matrix methods for
 pure LP problems.  If one or more of the variables is declared
 integer, the Simplex algorithm is iterated with a branch and bound
 algorithm, until the desired optimal solution is found.  lp_solve can
 read MPS format input files.
 .
 This package contains the static library for developing programs using
 liblpsolve.
 .
 Homepage http://www.geocities.com/lpsolve/
