=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>.
# Copyright (C) 2005 Juan Esteban Monsalve Tobon <esteban@v7w.com>.
# Copyright (C) 2006-2009 Rene Engelhard <rene@debian.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	cd lpsolve55 && bash -x -e ccc
	cd lp_solve && bash -x -e ccc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	cd lpsolve55 && rm -f *.o && rm -f liblpsolve55*
	cd lp_solve && rm -f *.o && rm -f lp_solve

	rm -f build-stamp install-stamp

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -D -m 755 lp_solve/lp_solve debian/lp-solve/usr/bin/lp_solve
	install -D -m 644 lpsolve55/liblpsolve55.a debian/liblpsolve55-dev/usr/lib/liblpsolve55.a
	install -m 644 lpsolve55/liblpsolve55_pic.a debian/liblpsolve55-dev/usr/lib/liblpsolve55_pic.a
	install -D -m 644 lpsolve55/liblpsolve55.so debian/lp-solve/usr/lib/lp_solve/liblpsolve55.so
	install -d debian/liblpsolve55-dev/usr/include/lpsolve
	for x in lp_*.h; do \
	   install -m 644 $$x debian/liblpsolve55-dev/usr/include/lpsolve/$$x;		\
	done
	install -m 644 shared/*.h debian/liblpsolve55-dev/usr/include/lpsolve/ 
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README.txt
	dh_installdocs -plp-solve-doc docs/5.5/*
	dh_installexamples -pliblpsolve55-dev demo/demo.c
	# the additional gifs and jpgs were not included due to diff.gz reasons. Link to
	# online copies
	for i in `find debian/lp-solve-doc/usr/share/doc/lp-solve-doc -name "*.htm*"`; do \
		perl -pi -e 's,src=\",src=\"http://lpsolve.sourceforge.net/5.5/,g' $$i; \
	done
	dh_installmenu
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress -X demo.c
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
