=== debian/changelog ===
lp-solve (5.5.0.15-4build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Jun 2017 22:31:19 +0000

lp-solve (5.5.0.15-4) unstable; urgency=medium

  * debian/patches/08_isnan: Change 0 to 0. in isnan() call to fix FTBFS due
    to 0 not being a floating-point argument, thanks Logan Rosen
    (closes: #825041)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 May 2016 13:09:52 +0000

lp-solve (5.5.0.15-3) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 17 May 2016 18:40:38 +0200

lp-solve (5.5.0.15-2) experimental; urgency=medium

  * [eb5459b] look in -L../lpsolve55/bin/$PLATFORM for liblpsolve55.so..

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 15:51:48 +0200

lp-solve (5.5.0.15-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * [0b4ef4f] Imported Upstream version 5.5.0.15
  * [c5a2ce0] bump debian/compat to 9 (closes: #817570)
  * [30f3bfb] split build/install into -arch/-indep (closes: #822053)
  * [3869a4a] dh_installmanpages -> dh_installman
  * [641ec07] dh_clean -k -> dh_prep
  * [aacb9d1] update lp_rlp.c part in debian/copyright

  [ Nelson A. de Oliveira ]
  * [f8f768f] remove outdated (and unnecessary) homepage pseudo-field from
    long description (closes: #593459)

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 14:48:26 +0200
