=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: debhelper (>= 4), libsuitesparse-dev (>= 1:3.4.0)
+Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
 Standards-Version: 3.7.2
 Homepage: http://lpsolve.sourceforge.net
 
@@ -31,8 +31,6 @@
  integer, the Simplex algorithm is iterated with a branch and bound
  algorithm, until the desired optimal solution is found.  lp_solve can
  read MPS format input files.
- .
- Homepage http://www.geocities.com/lpsolve/
 
 Package: lp-solve-doc
 Section: doc
@@ -63,8 +61,6 @@
  .
  This package contains the documentation for the lp_solve program and
  the library.
- .
- Homepage http://www.geocities.com/lpsolve/
 
 Package: liblpsolve55-dev
 Section: libdevel
@@ -94,6 +90,4 @@
  .
  This package contains the static library for developing programs using
  liblpsolve.
- .
- Homepage http://www.geocities.com/lpsolve/
