## lp-solve 5.5.2.5

=== debian/changelog ===
lp-solve (5.5.2.5-2ubuntu0.1) noble; urgency=medium

  * d/p/10_ccc_cflags: Recognize cflags in custom 'ccc' build script
  * d/rules: export CFLAGS from dpkg-buildflags, to pick up the
             -fno-omit-frame-pointer flag (LP: #2084527)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 15 Oct 2024 11:49:58 +0200

lp-solve (5.5.2.5-2build4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:37 +0200

lp-solve (5.5.2.5-2build3) mantic; urgency=medium

  * No-change rebuild against libcolamd3

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 14:16:22 +0000

lp-solve (5.5.2.5-2build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:24:58 +0100

lp-solve (5.5.2.5-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:19 +0200

lp-solve (5.5.2.5-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Jul 2020 16:47:52 +0000

lp-solve (5.5.2.5-1) unstable; urgency=medium

  * New upstream version
  * d/control: Debian Standars is 4.5.0
  * lp_solve.1: add patches/09_lp_solve.1
    by James Cowgill <james410@cowgill.org.uk>
    Closes: #749555

 -- Juan Esteban Monsalve Tobon <esteban@v7w.com>  Fri, 10 Jul 2020 12:35:39 -0500
