=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lp-solve
 Section: math
 Priority: optional
-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
-Standards-Version: 3.7.2
+Standards-Version: 4.5.0
 Homepage: http://lpsolve.sourceforge.net
 
 Package: lp-solve
