## lp-solve 5.5.2.11

=== debian/changelog ===
lp-solve (5.5.2.11-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Aug 2024 21:40:47 +0200

lp-solve (5.5.2.11-1) experimental; urgency=medium

  * "New" upstream release (closes: #1008073)
    - does not hardode /tmp anymore in ccc (closes: #875335)

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 20:26:08 +0200

lp-solve (5.5.2.5-3) unstable; urgency=medium

  * debian/patches/10_int_main.diff: add int to main() echos in ccc to
    fix build with gcc 14 (closes: #1075236)
  * debian/warch: add, from #1008073

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 19:19:02 +0200
