=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lp-solve
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
+Maintainer: Juan Esteban Monsalve Tobon <esteban@v7w.com>
 Uploaders: Rene Engelhard <rene@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: debhelper (>= 9), libsuitesparse-dev (>= 1:3.4.0)
 Standards-Version: 4.5.0
