=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 
 build: build-arch build-indep
