## lp-solve 5.5.2.14

=== debian/changelog ===
lp-solve (5.5.2.14-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 20:34:43 +0200

lp-solve (5.5.2.14-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 21:22:28 +0200

lp-solve (5.5.2.14-3) experimental; urgency=medium

  * debian/control: 
    move package to Debian Math Team <team+math@tracker.debian.org>;
    keep old Maintainer/Uploaders as Uploaders; add Vcs-* for new
    salsa repo
  * debian/watch: update for Github 

  * merge from Ubuntu:
    + d/p/10_ccc_cflags: Recognize cflags in custom 'ccc' build script
    + d/rules: export CFLAGS from dpkg-buildflags, to pick up the
              -fno-omit-frame-pointer flag (LP: #2084527)

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 23:57:52 +0200

lp-solve (5.5.2.14-2) experimental; urgency=medium

  * add patch from Helmut Grohne to Fix FTCBFS: (Closes: #1078930)
    + Pass a host compiler to the compilation scripts.
    + Rewrite platform check as compile-only test.
    + Do not fail removal of temporary files that may be missing. 

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:53:25 +0200

lp-solve (5.5.2.14-1) experimental; urgency=medium

  * New upstream release 

  * debian/control: update Homepage:

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Aug 2025 20:44:04 +0200
