=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 
 build: build-arch build-indep
