=== debian/watch ===
version=4
https://github.com/lp-solve/lp_solve/tags .*/v?(\d.*)@ARCHIVE_EXT@
